<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE = edge,chrome = 1">
  <title>Hello World using Backbone.js</title>

  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
</head>

<body>

  <script type="text/javascript">
    //The created object 'myVal' is extended using Backbone.Events method
    var myVal = _.extend({
      name: 'TutorialsPoint!!!'
    }, Backbone.Events);

    //The once() method causes the bound callback to only fire once before being removed
    myVal.once('hello', function() {
      document.write("The value after firing once is: ");
      document.write(this.name); //name will get displayed by referring the current object
    });

    //It triggers the 'hello' event on object 'myVal'
    myVal.trigger('hello');

    //Chỉ có thể sử dụng 1 lần duy nhất, lần 2 ko có tác dụng
    myVal.trigger('hello');
  </script>;

</body>

</html>